
D4Science Infrastructure - Incident #7647

Cannot edit Service endpoint on /gcube

Mar 22, 2017 07:20 PM - Massimiliano Assante

Status: Closed Start date: Mar 22, 2017

Priority: Normal Due date: Mar 23, 2017

Assignee: Roberto Cirillo % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: System Configuration   

Infrastructure: Development   

Description

[PORTAL] 25635976 [http-bio-9090-exec-334] WARN  org.gcube.informationsystem.publisher.RegistryPub

lisher - Failed update resource on http://node9-d-d4s.d4science.org:8080/wsrf/services/gcube/infor

mationsystem/registry/ResourceRegistration times: 6

2017-03-22 18:18:37,964 WARN  o.g.i.p.RegistryPublisher [http-bio-9090-exec-334,registryUpdate:190

][PORTAL] 25635976 [http-bio-9090-exec-334] WARN  org.gcube.informationsystem.publisher.RegistryPu

blisher - Failed update resource on http://node9-d-d4s.d4science.org:8080/wsrf/services/gcube/info

rmationsystem/registry/ResourceRegistration times: 6

2017-03-22 18:18:37,964 ERROR server.RuntimeResourceCreatorServiceImpl [http-bio-9090-exec-334,cre

ateRuntimeResource:155] %[PORTAL] 4633995 [http-bio-9090-exec-334] ERROR org.gcube.portlets.admin.

sepeditor.server.RuntimeResourceCreatorServiceImpl  - ERROR While Creating or Updating RT Resource

java.lang.IllegalArgumentException: com.sun.xml.internal.ws.fault.ServerSOAPFaultException: Client

 received SOAP Fault from server: null Please see the server log to find more detail regarding exa

ct cause of the failure.

    at org.gcube.informationsystem.publisher.RegistryPublisherImpl.registryUpdate(RegistryPublishe

rImpl.java:201)

    at org.gcube.informationsystem.publisher.RegistryPublisherImpl.registryUpdate(RegistryPublishe

rImpl.java:199)

    at org.gcube.informationsystem.publisher.RegistryPublisherImpl.registryUpdate(RegistryPublishe

rImpl.java:199)

    at org.gcube.informationsystem.publisher.RegistryPublisherImpl.registryUpdate(RegistryPublishe

rImpl.java:199)

    at org.gcube.informationsystem.publisher.RegistryPublisherImpl.registryUpdate(RegistryPublishe

rImpl.java:199)

    at org.gcube.informationsystem.publisher.RegistryPublisherImpl.registryUpdate(RegistryPublishe

rImpl.java:199)

    at org.gcube.informationsystem.publisher.RegistryPublisherImpl.update(RegistryPublisherImpl.ja

va:128)

    at org.gcube.portlets.admin.sepeditor.server.RuntimeResourceCreatorServiceImpl.createRuntimeRe

source(RuntimeResourceCreatorServiceImpl.java:148)

    at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)

    at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)

    at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)

    at java.lang.reflect.Method.invoke(Method.java:498)

    at com.google.gwt.user.server.rpc.RPC.invokeAndEncodeResponse(RPC.java:561)

    at com.google.gwt.user.server.rpc.RemoteServiceServlet.processCall(RemoteServiceServlet.java:2

08)

    at com.google.gwt.user.server.rpc.RemoteServiceServlet.processPost(RemoteServiceServlet.java:2

48)

    at com.google.gwt.user.server.rpc.AbstractRemoteServiceServlet.doPost(AbstractRemoteServiceSer

vlet.java:62)

    at javax.servlet.http.HttpServlet.service(HttpServlet.java:650)

    at javax.servlet.http.HttpServlet.service(HttpServlet.java:731)

    at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.jav

a:303)

    at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:208)

    at org.apache.tomcat.websocket.server.WsFilter.doFilter(WsFilter.java:52)

    at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.jav

a:241)

    at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:208)

    at com.liferay.portal.kernel.servlet.filters.invoker.InvokerFilterChain.doFilter(InvokerFilter

Chain.java:116)
    at sun.reflect.GeneratedMethodAccessor571.invoke(Unknown Source)

    at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)

    at java.lang.reflect.Method.invoke(Method.java:498)

    at com.liferay.portal.kernel.bean.ClassLoaderBeanHandler.invoke(ClassLoaderBeanHandler.java:67

)

    at com.sun.proxy.$Proxy772.doFilter(Unknown Source)

    at com.liferay.portal.kernel.servlet.filters.invoker.InvokerFilterChain.doFilter(InvokerFilter

Chain.java:116)

    at com.liferay.portal.kernel.servlet.filters.invoker.InvokerFilterChain.processDirectCallFilte

r(InvokerFilterChain.java:165)

    at com.liferay.portal.kernel.servlet.filters.invoker.InvokerFilterChain.doFilter(InvokerFilter

Chain.java:96)

    at com.liferay.portal.kernel.servlet.PortalClassLoaderFilter.doFilter(PortalClassLoaderFilter.

java:74)

    at com.liferay.portal.kernel.servlet.filters.invoker.InvokerFilterChain.processDoFilter(Invoke

rFilterChain.java:204)

    at com.liferay.portal.kernel.servlet.filters.invoker.InvokerFilterChain.doFilter(InvokerFilter

Chain.java:109)

    at org.gcube.resourcemanagement.support.shared.util.TokenFilter.doFilter(TokenFilter.java:25)

    at com.liferay.portal.kernel.servlet.filters.invoker.InvokerFilterChain.processDoFilter(Invoke

rFilterChain.java:204)

    at com.liferay.portal.kernel.servlet.filters.invoker.InvokerFilterChain.doFilter(InvokerFilter

Chain.java:109)

    at com.liferay.portal.kernel.servlet.filters.invoker.InvokerFilter.doFilter(InvokerFilter.java

:119)

    at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.jav

a:241)

    at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:208)

    at org.apache.catalina.core.StandardWrapperValve.invoke(StandardWrapperValve.java:220)

    at org.apache.catalina.core.StandardContextValve.invoke(StandardContextValve.java:122)

    at org.apache.catalina.authenticator.AuthenticatorBase.invoke(AuthenticatorBase.java:505)

    at org.apache.catalina.core.StandardHostValve.invoke(StandardHostValve.java:170)

    at org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:103)

    at org.apache.catalina.valves.AccessLogValve.invoke(AccessLogValve.java:957)

    at org.gcube.portal.threadlocalexec.SmartGearsPortalValve.invoke(SmartGearsPortalValve.java:69

)

    at org.apache.catalina.core.StandardEngineValve.invoke(StandardEngineValve.java:116)

    at org.apache.catalina.connector.CoyoteAdapter.service(CoyoteAdapter.java:423)

    at org.apache.coyote.http11.AbstractHttp11Processor.process(AbstractHttp11Processor.java:1079)

    at org.apache.coyote.AbstractProtocol$AbstractConnectionHandler.process(AbstractProtocol.java:

620)

    at org.apache.tomcat.util.net.JIoEndpoint$SocketProcessor.run(JIoEndpoint.java:316)

    at java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1142)

    at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:617)

    at org.apache.tomcat.util.threads.TaskThread$WrappingRunnable.run(TaskThread.java:61)

    at java.lang.Thread.run(Thread.java:745)

Caused by: com.sun.xml.internal.ws.fault.ServerSOAPFaultException: Client received SOAP Fault from

 server: null Please see the server log to find more detail regarding exact cause of the failure.

    at com.sun.xml.internal.ws.fault.SOAP11Fault.getProtocolException(SOAP11Fault.java:178)

    at com.sun.xml.internal.ws.fault.SOAPFaultBuilder.createException(SOAPFaultBuilder.java:124)

    at com.sun.xml.internal.ws.client.sei.StubHandler.readResponse(StubHandler.java:238)

    at com.sun.xml.internal.ws.db.DatabindingImpl.deserializeResponse(DatabindingImpl.java:189)

    at com.sun.xml.internal.ws.db.DatabindingImpl.deserializeResponse(DatabindingImpl.java:276)

    at com.sun.xml.internal.ws.client.sei.SyncMethodHandler.invoke(SyncMethodHandler.java:104)

    at com.sun.xml.internal.ws.client.sei.SyncMethodHandler.invoke(SyncMethodHandler.java:77)

    at com.sun.xml.internal.ws.client.sei.SEIStub.invoke(SEIStub.java:147)

    at com.sun.proxy.$Proxy711.update(Unknown Source)

    at sun.reflect.GeneratedMethodAccessor1108.invoke(Unknown Source)

    at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)

    at java.lang.reflect.Method.invoke(Method.java:498)

    at org.gcube.common.clients.stubs.jaxws.proxies.MethodRetriever.invoke(MethodRetriever.java:25

)

    at com.sun.proxy.$Proxy712.update(Unknown Source)

    at org.gcube.informationsystem.publisher.RegistryPublisherImpl.registryUpdate(RegistryPublishe

rImpl.java:180)

    ... 56 more
Related issues:

Related to D4Science Infrastructure - Task #7426: Add a general purpose postg... Closed Mar 07, 2017

Related to D4Science Infrastructure - Task #7655: registry gcube: cronjob for... Closed Mar 23, 2017

History

#1 - Mar 22, 2017 07:24 PM - Massimiliano Assante

- Related to Task #7426: Add a general purpose postgresql server to collect the dev and preprod databases added

#2 - Mar 23, 2017 09:59 AM - Roberto Cirillo

- Status changed from New to In Progress

#3 - Mar 23, 2017 10:09 AM - Roberto Cirillo

- Status changed from In Progress to Feedback

- Assignee changed from Roberto Cirillo to Massimiliano Assante

- % Done changed from 0 to 100

The problem seems solved after a restart of registry service. Please could you retry?

#4 - Mar 23, 2017 10:13 AM - Roberto Cirillo

- Related to Task #7655: registry gcube: cronjob for restarting it added

#5 - Mar 23, 2017 12:56 PM - Massimiliano Assante

- Status changed from Feedback to In Progress

- Assignee changed from Massimiliano Assante to Roberto Cirillo

- % Done changed from 100 to 50

#8 - Mar 23, 2017 04:13 PM - Massimiliano Assante

- Status changed from In Progress to Closed

- % Done changed from 50 to 100

works now
